{% extends 'base.html.twig' %}

{% block title %}Stock{% endblock %}

{% block body %}
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg ">
        <div class="p-10">
            <a href="{{ path('app_dashboard') }}" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center">
                Retour
            </a>
        </div>
        <div class="mx-auto max-w-screen-sm text-center lg:mb-16 mb-8">
            <h2 class="mb-4 text-3xl lg:text-4xl tracking-tight font-extrabold text-gray-900">
                STOCK FUT
            </h2>
        </div>
        <div class="p-6">
            <a href="{{ path('app_biere_new') }}" class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2.5 me-2 mb-2">
                Ajouter fût
            </a>
            <a href="{{ path('reapro_app') }}" class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2.5 me-2 mb-2">
                Réapprovisionner
            </a>
        </div>
        <table class="w-full text-sm text-left rtl:text-right text-gray-500">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50">
            <tr>
                <th scope="col" class="px-6 py-3">
                    Nom
                </th>
                <th scope="col" class="px-6 py-3">
                    Image
                </th>
                <th scope="col" class="px-6 py-3">
                    Quantité
                </th>
                <th scope="col" class="px-6 py-3">
                    Statut
                </th>
                <th>
                    Modifier
                </th>
            </tr>
            </thead>
            <tbody>
            {% for biere in bieres %}
                <tr>
                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap">
                        {{ biere.name }}
                    </th>
                    <td class="px-6 py-4">
                        <img class="w-20" src="{{ biere.urlImage }}" alt="url_image_biere">
                    </td>
                    <td class="px-6 py-4">
                        {{ biere.quantity }}
                    </td>
                    <td class="px-6 py-4 {{ biere.quantity < biere.limitQuantity ? 'text-red-700' : '' }}">
                        {{ biere.quantity > biere.limitQuantity ? 'En stock' : ' A réapprovisionner' }}
                    </td>
                    <td>
                        <a href="{{ path('app_biere_edit', {id: biere.id}) }}">Modifier</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
